<template>
  <div class="app-container">
    <div class="filter-container">
      <!--<el-input v-model="query.title" :placeholder="$t('table.title')" style="width: 200px;" class="filter-item" @keyup.enter.native="handleFilter" />-->
      <!--<el-button v-waves class="filter-item" type="primary" icon="el-icon-search" @click="handleFilter">-->
      <!--{{ $t('table.search') }}-->
      <!--</el-button>-->
      <!--<el-button v-waves :loading="downloading" class="filter-item" type="primary" icon="el-icon-download" @click="handleDownload">-->
      <!--{{ $t('table.export') }}-->
      <!--</el-button>-->
    </div>
    <el-table v-loading="listLoading" :data="list" border fit highlight-current-row style="width: 100%">
      <el-table-column prop="title" :label=" $t('form.title') " align="center" />
      <el-table-column prop="amount" :label=" $t('row.amount') " align="center" />
      <el-table-column prop="explain" :label=" $t('form.explain') " align="center" />
      <el-table-column prop="status" :label=" $t('row.status') " align="center">
        <template slot-scope="scope">
          {{ $t('row.' + scope.row.status) }}
        </template>
      </el-table-column>

      <el-table-column align="center" :label="$t('row.operation')" width="200">
        <template v-if=" scope.row.status == 'checking' " slot-scope="scope">
          <span class="el-icon-close pointer" @click="removeToken(scope.row.wtid)">&nbsp;</span>
          <span class="el-icon-check pointer" @click="confirmToken(scope.row.wtid)">&nbsp;</span>
        </template>
      </el-table-column>
    </el-table>

    <pagination v-show="total>0" :total="total" :page.sync="query.page" :limit.sync="query.limit" @pagination="getList" />
  </div>
</template>

<script>
import Pagination from '@/components/Pagination'; // Secondary package based on el-pagination
import Buy from '@/api/buy';
const buyResource = new Buy('buy');

export default {
  name: 'BuyList',
  components: { Pagination },
  filters: {
    statusFilter(status) {
      const statusMap = {
        published: 'success',
        draft: 'info',
        deleted: 'danger',
      };
      return statusMap[status];
    },
  },
  data() {
    return {
      list: null,
      total: 0,
      listLoading: true,
      form: {
        id: '',
      },
      query: {
        page: 1,
        limit: 15,
        title: '',
        role: '',
      },
    };
  },
  created() {
    this.getList();
  },
  methods: {
    async getList() {
      this.listLoading = true;
      const { result } = await buyResource.list(this.query);
      this.list = result.rows;
      this.total = result.total;
      this.listLoading = false;
    },
    handleFilter() {
      this.query.page = 1;
      this.getList();
    },
    confirmToken(id) {
      this.form.id = id;
      buyResource.confirmToken(this.form);
      this.getList();
    },
    removeToken(id) {
      this.form.id = id;
      buyResource.deleteToken(this.form);
      this.getList();
    },
  },
};
</script>

<style scoped>
.edit-input {
  padding-right: 100px;
}
.cancel-btn {
  position: absolute;
  right: 15px;
  top: 10px;
}
</style>
